<i18n lang="yml">
  en:
    view_list: "List view"
    view_map: "Map view"
  nl:
    view_list: "Lijstweergave"
    view_map: "Kaartweergave"
</i18n>

<template>
  <AmsButton
    style="position: absolute; right: 0; border-right: 0;"
    @click.native.prevent="onClick"
  >
    <transition name="fade" mode="out-in">
      <SvgCaret
        v-if="!STATE.rightPanelOpen"
        key="viewListCaretLeft"
        style="transform: rotate(180deg);"
        width="32px"
        height="32px"
      />
      <span
        v-if="STATE.rightPanelOpen"
        key="viewList"
      >
        {{ $t("view_list") }}
      </span>
    </transition>
    <transition name="fade" mode="out-in">
      <span
        v-if="!STATE.rightPanelOpen"
        key="viewMap"
      >
        {{ $t("view_map") }}
      </span>
      <SvgCaret
        v-if="STATE.rightPanelOpen"
        key="viewListCaretRight "
        width="32px"
        height="32px"
      />
    </transition>
  </AmsButton>
</template>

<script lang="ts">
import {
  defineComponent,
  inject,
} from "@nuxtjs/composition-api";

export default defineComponent({
  name: "AmsButtonToggleMap",

  components: {
    AmsButton: () => import("~/components/_elements/Form/Button.vue"),
    // @ts-ignore
    SvgCaret: () => import("~/assets/img/ui/caret-right.svg"),
  },

  setup () {
    const store: any = inject("store");

    function onClick () {
      store.switchRightPanel(!store.STATE.rightPanelOpen);
    }

    return {
      STATE: store.STATE,
      onClick,
    };
  },
});
</script>
